// creator  : weidu.exe (version 23600)
// argument : TORLOB.DLG
// game     : .
// source   : ./DATA/DIALOG.BIF
// dialog   : lang\en_us/dialog.tlk
// dialogF  : (none)

BEGIN ~TORLOB~
//////////////////////////////////////////////////
// WARNING: this file contains non-trivial WEIGHTs
//////////////////////////////////////////////////

IF WEIGHT #1 /* Triggers after states #: 2 even though they appear after this state */
~  NumberOfTimesTalkedTo(0)
~ THEN BEGIN 0 // from:
  SAY #8470 /* ~I wants a word wit' yous! You been taking from a lady friend of mine, so she hire me to take care of yous! She leave town, but I stay to smack your head! You not gonna leave here alive, you're not!~ */
  IF ~~ THEN DO ~Enemy()
~ EXIT
END

IF WEIGHT #2 /* Triggers after states #: 2 even though they appear after this state */
~  True()
~ THEN BEGIN 1 // from:
  SAY #8471 /* ~Time for go to bed!~ */
  IF ~~ THEN DO ~Enemy()
~ EXIT
END

IF WEIGHT #0 ~  StateCheck(Myself,STATE_CHARMED)
~ THEN BEGIN 2 // from:
  SAY #8472 /* ~Now I your friend! So what we talk about? Seen any good small shiny tings lately?~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 3 // from:
  SAY #9067 /* ~I smack you now! Get what you deserve!~ */
  IF ~~ THEN EXIT
END
